Update traffic source
curl --request PATCH \
--url https://panel.metricanic.com/api/v1/traffic-sources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"costParam": "bid"
}
'import requests
url = "https://panel.metricanic.com/api/v1/traffic-sources/{id}"
payload = { "costParam": "bid" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({costParam: 'bid'})
};
fetch('https://panel.metricanic.com/api/v1/traffic-sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "6f9d2b4e-8a1c-4d3e-9f5a-7b2c4d6e8f0a",
"name": "PropellerAds",
"clickIdParam": "clickid",
"costParam": "bid",
"status": "active",
"createdAt": "2026-05-18T08:00:00.000Z",
"postbackUrl": "https://ads.example.com/postback?cid={clickid}&payout={payout}",
"clickIdMacro": "${SUBID}",
"costMacro": "${COST}"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}Traffic Sources
Update traffic source
Partially updates a traffic source. Only provided fields change. Returns the updated entity.
PATCH
/
api
/
v1
/
traffic-sources
/
{id}
Update traffic source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Partial traffic source update. All fields are optional.
Required string length:
1 - 160Maximum string length:
120Maximum string length:
120Absolute http(s) URL. Private, loopback, and local metadata hosts are rejected.
Maximum string length:
2048Maximum string length:
120Maximum string length:
120